=== debian/changelog ===
glite-lbjp-common-gsoap-plugin (3.1.2-3) unstable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Thu, 26 Jul 2012 12:26:27 +0200
