=== debian/control ===
Source: glite-lbjp-common-gsoap-plugin
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), chrpath, libc-ares-dev, libcppunit-dev, libglite-lbjp-common-gss-dev, libglobus-gssapi-gsi-dev, gsoap, libtool, pkg-config
Standards-Version: 3.9.1
Section: libs
Homepage: http://glite.cern.ch
DM-Upload-Allowed: yes
Vcs-Cvs: :pserver:anonymous@jra1mw.cvs.cern.ch:/cvs/jra1mw
Vcs-Browser: http://jra1mw.cvs.cern.ch/cgi-bin/jra1mw.cgi

Package: libglite-lbjp-common-gsoap-plugin
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Plugin for gSoap to use glite-security-gss as the communication layer
 glite-security-gsoap-plugin is plugin for gSoap providing secured communication
 via GSS, as well as strict timing control of all operations via
 glite-security-gss.

Package: libglite-lbjp-common-gsoap-plugin-dev
Section: libdevel
Architecture: any
Provides: glite-lbjp-common-gsoap-plugin, glite-security-gsoap-plugin
Depends: libglite-lbjp-common-gsoap-plugin (= ${binary:Version}), ${misc:Depends}
Description: Development files for gLite gsoap-plugin
 This package contains development libraries and header files for gLite
 gsoap-plugin.

Package: glite-lbjp-common-gsoap-plugin-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libglite-lbjp-common-gsoap-plugin (= ${binary:Version}), ${misc:Depends}
Description: gLite gsoap-plugin library debugging symbols
 This package contains debugging symbols for gLite gsoap-plugin library.
