## glite-lbjp-common-gsoap-plugin 3.2.1

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 top_builddir=${top_srcdir}/${builddir}
 stagedir=.
 globalprefix=glite
-package=gsoap-plugin
+package=glite-lbjp-common-gsoap-plugin
 version=1.0.0
 PREFIX=/opt/glite
 prefix=
@@ -15,7 +15,18 @@
 
 CC=gcc
 
+SOURCES=\
+	examples/*.c examples/*.S \
+	interface/*.h interface/*.h.in \
+	project/.post* project/gsoap-plugin*.pc.in project/libtoolhack/gcc \
+	src/*.c \
+	test/*.cpp \
+	LICENSE Makefile
+SOURCES_EXEC=project/libtoolhack/gcc
+
 gsoap_versions_flavours?=${gsoap_default_version}
+
+default: all
 
 -include Makefile.inc
 -include ../Makefile.inc
@@ -59,8 +70,6 @@
 endif
 
 VPATH=${top_srcdir2}/src:${top_srcdir2}/test:${top_srcdir2}/examples:${top_srcdir2}/interface:${top_srcdir2}/project
-
-default: all
 
 DEBUG:=-g -O0 -W -Wall -Wno-unused-parameter
 # not for globus and gsoap: -Werror
@@ -92,13 +101,15 @@
 GSOAP_LIBS_lang:=${GSOAPXX_LIBS}
 endif
 
+GLITE_LBJP_COMMON_GSS_CFLAGS?=`PKG_CONFIG_PATH=$$PKG_CONFIG_PATH:${PREFIX}${prefix}/${libdir}/pkgconfig pkg-config glite-security-gss --cflags`
 
 CFLAGS:= ${DEBUG} \
 	-DVERSION=\"${version}\" \
 	-DWITH_NONAMESPACES \
 	-I. -I${top_srcdir2}/interface \
 	-I${stagedir}${prefix}/include \
-	${COVERAGE_FLAGS} -D_GNU_SOURCE -DDATAGRID_EXTENSION ${CFLAGS}
+	${COVERAGE_FLAGS} -D_GNU_SOURCE -DDATAGRID_EXTENSION \
+	${GLITE_LBJP_COMMON_GSS_CFLAGS} ${CFLAGS}
 
 LDFLAGS:=${LDFLAGS} ${COVERAGE_FLAGS}
 
@@ -323,8 +334,3 @@
 	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/include/glite/security/
 	${INSTALL} -m 644 ${top_srcdir2}/LICENSE ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
 	cd ${top_srcdir2}/interface && ${INSTALL} -m 644 ${HDRS} ${DESTDIR}${PREFIX}${prefix}/include/glite/security/
-	${INSTALL} -m 644 glite_gscompat.h ${DESTDIR}${PREFIX}${prefix}/include/glite/security/
-	for v in ${gsoap_versions_noflavours}; do \
-		${MAKE} -C `echo $$v | tr -d .` -f ${top_srcdir_l2}/Makefile install-soaplib gsoap_version=$$v lang= PREFIX=${PREFIX} top_srcdir2=${top_srcdir_l2} || exit $?; \
-	done
-	for v in ${gsoap_versions_flavours}; do \
