=== debian/control ===
--- 
+++ 
@@ -2,7 +2,13 @@
 Priority: extra
 Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
 Uploaders: František Dvořák <valtri@civ.zcu.cz>
-Build-Depends: debhelper (>= 7.0.50~), chrpath, libc-ares-dev, libcppunit-dev, libglite-lbjp-common-gss-dev, libglobus-gssapi-gsi-dev, gsoap, libtool, pkg-config
+Build-Depends: debhelper (>= 7.0.50~), chrpath, libc-ares-dev, libcppunit-dev, libglite-lbjp-common-gss-dev, gsoap, libtool, pkg-config
+# gssapi is needed explicitly for gsoap-plugin, but the proper package is
+# known only in libglite-lbjp-common-gss-dev:
+#  - gssapi from Globus (libglobus-gssapi-gsi-dev)
+#  - gssapi from MIT Kerberos (libkrb5-dev)
+#  - gssapi from Heimdal Kerberos (heimdal-dev)
+#Build-Depends: libglobus-gssapi-gsi-dev
 Standards-Version: 3.9.1
 Section: libs
 Homepage: http://glite.cern.ch
@@ -23,7 +29,7 @@
 Section: libdevel
 Architecture: any
 Provides: glite-lbjp-common-gsoap-plugin, glite-security-gsoap-plugin
-Depends: libglite-lbjp-common-gsoap-plugin (= ${binary:Version}), ${misc:Depends}
+Depends: libglite-lbjp-common-gsoap-plugin (= ${binary:Version}), libglite-lbjp-common-gss-dev, ${misc:Depends}
 Description: Development files for gLite gsoap-plugin
  This package contains development libraries and header files for gLite
  gsoap-plugin.
