## glite-lbjp-common-gsoap-plugin 3.2.7

=== debian/changelog ===
glite-lbjp-common-gsoap-plugin (3.2.7-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Wed, 23 Jan 2013 19:04:58 +0100
