## glite-lbjp-common-gsoap-plugin 3.2.9

=== Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 	project/.post* project/gsoap-plugin*.pc.in project/libtoolhack/gcc \
 	src/*.c \
 	test/*.cpp \
-	LICENSE Makefile
+	Makefile
 SOURCES_EXEC=project/libtoolhack/gcc
 
 gsoap_versions_flavours?=${gsoap_default_version}
@@ -158,11 +158,13 @@
 lib_LTLIBRARIES_S:=${LTLIB_S}
 LTLIB_TEST_S:=libglite_security_gsoap_plugin_${dotless_ver}_cxx.la
 default_ltlib_s:=${LTLIB_S}
+default_libs:=${EX_LIBS}
 else
 lib_LTLIBRARIES:=${NOTHRSTATICLIB} ${NOTHRLTLIB} ${THRSTATICLIB} ${THRLTLIB}
 lib_LTLIBRARIES_S:=${NOTHRLTLIB_S} ${THRLTLIB_S}
 LTLIB_TEST_S:=libglite_security_gsoap_plugin_${dotless_ver}_${nothrflavour}_cxx.la
 default_ltlib_s:=${NOTHRLTLIB_S}
+default_libs:=${EX_NOTHRLIBS}
 endif
 
 ifeq (${gsoap_version},${gsoap_default_version})
@@ -288,16 +290,16 @@
 wscalc_clt_ex.o wscalc_srv_ex.o wscalc_srv_ex2.o: ${GSOAP_FPREFIX}H.h
 
 wscalc_clt_ex: ${WSCALC_CLT_OBJS} ${default_ltlib_s}
-	${LINK_lang} -o $@ ${WSCALC_CLT_OBJS} ${default_ltlib_s} ${GSOAP_DEFAULT_LIBS}
+	${LINK_lang} -o $@ ${WSCALC_CLT_OBJS} ${default_ltlib_s} ${GSOAP_DEFAULT_LIBS} ${default_libs}
 
 wscalc_srv_ex: ${WSCALC_SRV_OBJS} ${default_ltlib_s}
-	${LINK_lang} -o $@ ${WSCALC_SRV_OBJS} ${default_ltlib_s} ${GSOAP_DEFAULT_LIBS}
+	${LINK_lang} -o $@ ${WSCALC_SRV_OBJS} ${default_ltlib_s} ${GSOAP_DEFAULT_LIBS} ${default_libs}
 
 wscalc_srv_ex2: ${WSCALC_SRV2_OBJS} ${default_ltlib_s}
-	${LINK_lang} -o $@ ${WSCALC_SRV2_OBJS} ${default_ltlib_s} ${GSOAP_DEFAULT_LIBS}
+	${LINK_lang} -o $@ ${WSCALC_SRV2_OBJS} ${default_ltlib_s} ${GSOAP_DEFAULT_LIBS} ${default_libs}
 
 test_cxx: test_gsplugin_cxx.o ${GSOAP_FPREFIX}C.cxx.o
-	${LINKXX} -o $@ $+ ${LTLIB_TEST_S}
+	${LINKXX} -o $@ $+ ${LTLIB_TEST_S} ${default_libs} ${GSOAPXX_LIBS}
 
 soapcpp:=${shell if [ -x ${gsoap_prefix}/bin/soapcpp2 ]; then \
 	echo ${gsoap_prefix}/bin/soapcpp2; \
@@ -330,7 +332,6 @@
 install:
 	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/${libdir}/pkgconfig
 	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/include/glite/security
-	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
 	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/include/glite/security/
-	${INSTALL} -m 644 ${top_srcdir2}/LICENSE ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
 	cd ${top_srcdir2}/interface && ${INSTALL} -m 644 ${HDRS} ${DESTDIR}${PREFIX}${prefix}/include/glite/security/
+	${INSTALL} -m 644 glite_gscompat.h ${DESTDIR}${PREFIX}${prefix}/include/glite/security/
