## glite-lbjp-common-gsoap-plugin 3.2.10

=== debian/changelog ===
glite-lbjp-common-gsoap-plugin (3.2.10-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Fri, 22 Nov 2013 11:57:55 +0100
