## glite-lbjp-common-gsoap-plugin 3.2.12

=== Makefile ===
--- 
+++ 
@@ -115,21 +115,24 @@
 
 COMPILE:=libtool --mode=compile ${CC} ${CFLAGS}
 COMPILEXX:=libtool --mode=compile ${CXX} ${CFLAGS}
-LINK:=libtool --mode=link ${CC} -rpath ${stagedir}${prefix}/${libdir} ${LDFLAGS}
-LINKXX:=libtool --mode=link ${CXX} -rpath ${stagedir}${prefix}/${libdir} ${LDFLAGS}
+LINK:=libtool --mode=link ${CC} ${LDFLAGS}
+LINKXX:=libtool --mode=link ${CXX} ${LDFLAGS}
 INSTALL:=libtool --mode=install install
-LINK_lang:=PATH=${top_srcdir2}/project/libtoolhack:${PATH} libtool --mode=link ${CXX} -rpath ${stagedir}${prefix}/${libdir} ${LDFLAGS}
+LINK_lang:=PATH=${top_srcdir2}/project/libtoolhack:${PATH} libtool --mode=link ${CXX} ${LDFLAGS}
+SOLINK_lang:=PATH=${top_srcdir2}/project/libtoolhack:${PATH} libtool --mode=link ${CXX} -rpath ${stagedir}${prefix}/${libdir} ${LDFLAGS}
 ifeq (${lang},c)
 LINK_lang:=${LINK}
+SOLINK_lang:=${LINK} -rpath ${stagedir}${prefix}/${libdir}
 endif
 ifeq (${lang},cxx)
 LINK_lang:=${LINKXX}
+SOLINK_lang:=${LINKXX} -rpath ${stagedir}${prefix}/${libdir}
 endif
 
 EX_NOTHRLIBS:=-L${stagedir}${prefix}/${libdir} -lglite_security_gss_${nothrflavour}
 EX_THRLIBS:=-L${stagedir}${prefix}/${libdir} -lglite_security_gss_${thrflavour}
 EX_LIBS:=-L${stagedir}${prefix}/${libdir} -lglite_security_gss
-HDRS:=glite_gsplugin.h glite_gsplugin-int.h
+HDRS:=glite_gsplugin.h glite_gsplugin-int.h glite_gscompat.h
 EXAMPLES:=wscalc_clt_ex wscalc_srv_ex wscalc_srv_ex2
 TESTS:=test_cxx
 
@@ -190,14 +193,14 @@
 	ranlib $@
 
 ${LTLIB}: ${OBJS}
-	${LINK_lang} ${version_info} -o $@ ${LOBJS} ${EX_LIBS}
+	${SOLINK_lang} ${version_info} -o $@ ${LOBJS} ${EX_LIBS}
 
 ${STATICLIB_S}: ${OBJS_S}
 	ar crv $@ ${OBJS_S}
 	ranlib $@
 
 ${LTLIB_S}: ${OBJS_S}
-	${LINK_lang} ${version_info} -o $@ ${LOBJS_S} ${EX_LIBS} ${GSOAP_DEFAULT_LIBS}
+	${SOLINK_lang} ${version_info} -o $@ ${LOBJS_S} ${EX_LIBS} ${GSOAP_DEFAULT_LIBS}
 else
 ${NOTHRSTATICLIB}: ${OBJS}
 	ar crv $@ ${OBJS}
@@ -208,10 +211,10 @@
 	ranlib $@
 
 ${NOTHRLTLIB}: ${OBJS} 
-	${LINK_lang} ${version_info} -o $@ ${LOBJS} ${EX_NOTHRLIBS}
+	${SOLINK_lang} ${version_info} -o $@ ${LOBJS} ${EX_NOTHRLIBS}
 
 ${THRLTLIB}: ${THROBJS}
-	${LINK_lang} ${version_info} -o $@ ${THRLOBJS} ${EX_THRLIBS}
+	${SOLINK_lang} ${version_info} -o $@ ${THRLOBJS} ${EX_THRLIBS}
 
 ${NOTHRSTATICLIB_S}: ${OBJS_S}
 	ar crv $@ ${OBJS_S}
@@ -222,15 +225,15 @@
 	ranlib $@
 
 ${NOTHRLTLIB_S}: ${OBJS_S} 
-	${LINK_lang} ${version_info} -o $@ ${LOBJS_S} ${EX_NOTHRLIBS} ${GSOAP_DEFAULT_LIBS}
+	${SOLINK_lang} ${version_info} -o $@ ${LOBJS_S} ${EX_NOTHRLIBS} ${GSOAP_DEFAULT_LIBS}
 
 ${THRLTLIB_S}: ${THROBJS_S}
-	${LINK_lang} ${version_info} -o $@ ${THRLOBJS_S} ${EX_THRLIBS} ${GSOAP_DEFAULT_LIBS}
+	${SOLINK_lang} ${version_info} -o $@ ${THRLOBJS_S} ${EX_THRLIBS} ${GSOAP_DEFAULT_LIBS}
 endif
 
 all compile: \
 	${lib_LTLIBRARIES} \
-	all-libs-with-soap examples glite_gscompat.h pkgconfig
+	all-libs-with-soap examples glite_gsplatform.h pkgconfig
 
 check: check.cxx
 
@@ -287,7 +290,7 @@
 WSCALC_SRV_OBJS = wscalc_srv_ex.o ${GSOAP_FPREFIX}C.o ${GSOAP_FPREFIX}Server.o
 WSCALC_SRV2_OBJS = wscalc_srv_ex2.o ${GSOAP_FPREFIX}C.o ${GSOAP_FPREFIX}Server.o
 
-wscalc_clt_ex.o wscalc_srv_ex.o wscalc_srv_ex2.o: ${GSOAP_FPREFIX}H.h
+wscalc_clt_ex.o wscalc_srv_ex.o wscalc_srv_ex2.o: ${GSOAP_FPREFIX}H.h gsoap.stamp
 
 wscalc_clt_ex: ${WSCALC_CLT_OBJS} ${default_ltlib_s}
 	${LINK_lang} -o $@ ${WSCALC_CLT_OBJS} ${default_ltlib_s} ${GSOAP_DEFAULT_LIBS} ${default_libs}
@@ -306,8 +309,11 @@
 	else echo ${gsoap_prefix}/soapcpp2; \
 	fi}
 
-${GSOAP_FPREFIX}H.h ${GSOAP_FPREFIX}C.c ${GSOAP_FPREFIX}Server.c ${GSOAP_FPREFIX}Client.c ${GSOAP_FPREFIX}ServerLib.c ${GSOAP_FPREFIX}ClientLib.c: calc.h.S
+${GSOAP_FPREFIX}H.h ${GSOAP_FPREFIX}C.c ${GSOAP_FPREFIX}Server.c ${GSOAP_FPREFIX}Client.c ${GSOAP_FPREFIX}ServerLib.c ${GSOAP_FPREFIX}ClientLib.c: gsoap.stamp
+
+gsoap.stamp: calc.h.S
 	${soapcpp} -c -p ${GSOAP_FPREFIX} ${top_srcdir2}/examples/calc.h.S
+	touch $@
 
 wscalc_clt_ex.o: wscalc_clt_ex.c
 	${CC} -c ${CFLAGS} -o $@ $<
@@ -318,9 +324,9 @@
 sizeof_soap: sizeof_soap.o
 	${LINK} $< -o $@
 
-glite_gscompat.h: glite_gscompat.h.in sizeof_soap
+glite_gsplatform.h: glite_gsplatform.h.in sizeof_soap
 	size=${shell ./sizeof_soap}; \
-	sed "s/@sizeof_struct_soap@/$$size/" ${top_srcdir2}/interface/glite_gscompat.h.in > $@
+	sed "s/@sizeof_struct_soap@/$$size/" ${top_srcdir2}/interface/glite_gsplatform.h.in > $@
 
 pkgconfig: ${PKG_CONFIG_FILES}
 
@@ -332,6 +338,3 @@
 install:
 	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/${libdir}/pkgconfig
 	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/include/glite/security
-	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/include/glite/security/
-	cd ${top_srcdir2}/interface && ${INSTALL} -m 644 ${HDRS} ${DESTDIR}${PREFIX}${prefix}/include/glite/security/
-	${INSTALL} -m 644 glite_gscompat.h ${DESTDIR}${PREFIX}${prefix}/include/glite/security/
