=== debian/changelog ===
glite-lbjp-common-gsoap-plugin (3.2.12-1.git20151003) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Sat, 03 Oct 2015 10:10:53 +0200
