=== debian/control ===
Source: glite-lbjp-common-gsoap-plugin
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), libc-ares-dev, libcppunit-dev, libglite-lbjp-common-gss-dev, gsoap, libtool-bin, pkg-config
# gssapi.h is needed explicitly for gsoap-plugin, but the proper package is
# known only in libglite-lbjp-common-gss-dev:
#  - gssapi from Globus (libglobus-gssapi-gsi-dev)
#  - gssapi from MIT Kerberos (libkrb5-dev)
#  - gssapi from Heimdal Kerberos (heimdal-dev)
#Build-Depends: libglobus-gssapi-gsi-dev
Standards-Version: 3.9.1
Section: libs
Homepage: http://glite.cern.ch

Package: libglite-lbjp-common-gsoap-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Plugin for gSoap to use glite-security-gss as the communication layer
 glite-security-gsoap-plugin is plugin for gSoap providing secured communication
 via GSS, as well as strict timing control of all operations via
 glite-security-gss.

Package: libglite-lbjp-common-gsoap-plugin-dev
Section: libdevel
Architecture: any
Provides: glite-lbjp-common-gsoap-plugin, glite-security-gsoap-plugin
Depends: libglite-lbjp-common-gsoap-plugin (= ${binary:Version}), libglite-lbjp-common-gss-dev, ${misc:Depends}
Description: Development files for gLite gsoap-plugin
 glite-security-gsoap-plugin is plugin for gSoap providing secured communication
 via GSS, as well as strict timing control of all operations via
 glite-security-gss.
 .
 This package contains development libraries and header files for gLite
 gsoap-plugin.

Package: libglite-lbjp-common-gsoap-plugin-dbg
Section: debug
Architecture: any
Depends: libglite-lbjp-common-gsoap-plugin (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for gLite gsoap-plugin library
 glite-security-gsoap-plugin is plugin for gSoap providing secured communication
 via GSS, as well as strict timing control of all operations via
 glite-security-gss.
 .
 This package contains debugging symbols for gLite gsoap-plugin library.
