=== debian/watch ===
version=3
http://scientific.zcu.cz/emi/emi.lbjp-common.gsoap-plugin/glite-lbjp-common-gsoap-plugin-(.*)\.tar\.gz
